/*
 * Copyright (C) 2012 Felix Ableitner
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.nutomic.pegasus.content;

import android.provider.BaseColumns;

/**
 * Area table columns.
 * 
 * @author Felix Ableitner
 *
 */
public class AreaColumns implements BaseColumns {
	
	public static final String TABLE_NAME = "area";
	
	public static final long AREA_DEFAULT = 1;
	
	// Columns
	public static final String NAME = "name";
	public static final String PROFILE_ID = "profile_id";
	public static final String WIFI_ENABLED = "wifi_enabled";
	public static final String BLUETOOTH_ENABLED = "bluetooth_enabled";
  
	public static final String CREATE_TABLE = "CREATE TABLE " + TABLE_NAME + " (" +
			_ID + " INTEGER PRIMARY KEY AUTOINCREMENT," +
			NAME + " TEXT," +
			PROFILE_ID + " INTEGER, " +
			WIFI_ENABLED + " INTEGER, " +
			BLUETOOTH_ENABLED + " INTEGER " +
			");";
	  
}
